> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wellapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Payment Mean

> Delete a specific payment method or account by its unique ID.



## OpenAPI

````yaml DELETE /v1/payment-means/{id}
openapi: 3.1.0
info:
  title: Well Document API
  version: 1.0.0
  description: API for uploading and managing financial documents in the Well platform
servers:
  - url: https://api.wellapp.ai
security: []
paths:
  /v1/payment-means/{id}:
    delete:
      tags:
        - Payment Means
      summary: Delete a payment means
      description: Delete a specific payment method or account by its unique ID.
      operationId: deletePaymentMeans
      parameters:
        - $ref: '#/components/parameters/AuthorizationHeader'
        - name: id
          in: path
          required: true
          description: The unique identifier of the payment means to delete
          schema:
            type: string
            format: uuid
          example: 550e8400-e29b-41d4-a716-446655440010
      responses:
        '204':
          description: Payment means deleted successfully
          headers:
            X-Deletion-Type:
              description: Type of deletion performed (soft or hard)
              schema:
                type: string
                enum:
                  - soft
                  - hard
            X-Deleted-At:
              description: Timestamp when the payment means was deleted
              schema:
                type: string
                format: date-time
        '400':
          description: Bad request - invalid payment means ID or deletion not allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized - invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Payment means not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    AuthorizationHeader:
      name: Authorization
      in: header
      required: true
      schema:
        type: string
      description: Bearer token for authentication
  schemas:
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              code:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - code
              - title
              - detail

````